# $Id: smeserver-tw-logonscript.spec,v 1.8 2022/10/02 17:34:09 jcrisp Exp $
# Authority: chriscosta
# Name: Christian Costa

%define name smeserver-tw-logonscript
%define version 1.5
%define release 11
Summary: TechnologyWise Windows/Linux logon script for Samba
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Source: smeserver-tw-logonscript-%{version}.tar.gz
License: GNU GPL version 2
Group: Networking/Daemons
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildRequires: e-smith-devtools
Provides: perl-esmith-FormMagick-Panel-ibayletters

Patch0: smeserver-tw-logonscript-1.5.bz9047.Carp_declared_2_times.patch
Patch1: smeserver-tw-logonscript-1.5-locale-2016-03-09.patch
Patch2: smeserver-tw-logonscript-1.5-Add-Update-event-to-createlinks.patch
Patch3: smeserver-tw-logonscript-1.5-bz11039-bz6511.patch
Patch4: smeserver-tw-logonscript-1.5-locale-2021-08-24.patch
Patch5: smeserver-tw-logonscript-1.5-bz12154-revert-workgroup-restart-bz11039.patch

%description
TechnologyWise Windows/Linux logon script for Samba

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Sun Oct 02 2022 John Crisp <jcrisp@safeandsoundit.co.uk> 1.5-11.sme
- Add Provides [SME: 12203]

* Wed Aug 24 2022 John Crisp <jcrisp@safeandsoundit.co.uk> 1.5-10.sme
- Revert button removal and update to the onclick [SME: 12154]

* Tue Aug 24 2021 Terry Fage <teeeyf@ozemail.com.au> 1.5-9.sme
- apply locale 2021-08-24 patch

* Sun Apr 18 2021 Jean-Philippe Pialasse <tests@pialasse.com> 1.5-8.sme
- fix pannel warnings and errors [SME: 11039]
- Incorrect file premission netlogon *.bat [SME: 6511]
- add metadata for main netlogon.bat

* Mon Mar 29 2021 Brian Read <brianr@bjsystems.co.uk> 1.5-6.sme
- Add Update event to createlinks [SME: 11038]

* Mon Mar 29 2021 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Wed Oct 14 2020 Brian Read <brianr@bjsystems.co.uk> 1.5-5.sme
- Initial import to SME10 tree [SME: 11038]

* Wed Mar 09 2016 JP Pialasse <tests@pialasse.com> 1.5-4.sme
- apply locale 2016-03-09 patch

* Tue Sep 08 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.5-3.sme
- Initial release to contribs9 [SME: 9047]
- added smeserver-tw-logonscript-1.5.bz9047.Carp_declared_2_times.patch

* Sun Jul 14 2013 JP Pialasse <tests@pialasse.com> 1.3-21.sme
- apply locale 2013-07-14 patch

* Tue Mar 20 2012 SME Translation Server <translations@contribs.org> 1.3-20.el6
- apply locale 2012-03-20 patch

* Wed Apr 27 2011 SME Translation Server <translations@contribs.org> 1.3-19.sme
- apply locale 2011-04-27 patch

* Sun Mar 06 2011 SME Translation Server <translations@contribs.org> 1.3-18.sme
- apply locale 2011-03-06 patch

* Sun May 23 2010 SME Translation Server <translations@contribs.org> 1.3-17.sme
- apply locale 2010-05-23 patch

* Tue Mar 02 2010 SME Translation Server <translations@contribs.org> 1.3-16.sme
- apply locale 2010-03-02 patch

* Thu Jan 28 2010 Christian Costa <christian@tw.co.nz> 1.3-15
- Removed %pre %preun from spec file
- Added new files under etc/e-smith/db/configuration/defaults/twlogonscript/
- Change to the main script so that it will comply with the new db name

* Wed Jan 27 2010 Christian Costa <christian@tw.co.nz> 1.3-14
- Created a new configuration database for tw-logonscript. Two properties MountPointsPath and UserHomeMountPointName have been added.
- Changed the spec file to set the default properties automatically

* Tue Dec 1 2009 Christian Costa <christian@tw.co.nz> 1.3-13
- Changed event name on createlinks to bootstrap-console-save instead of post-upgrade.

* Tue Dec 1 2009 Christian Costa <christian@tw.co.nz> 1.3-12
- Changed the createlinks script to correctly set up the templates to expand so that netlogon.bat will be expanded with workgroup-update and post-upgrade

* Thu Nov 19 2009 Christian Costa <christian@tw.co.nz> 1.3-11
- Changes to the netlogon.bat template. If no drive letters were associate to I-bays it generated errors. Also defaulted the home drive to H: in case none is set.
- Added two missing files to the workgroup-update and post-upgrade events.

* Mon Nov 16 2009 Christian Costa <christian@tw.co.nz> 1.3-10
- Changes to the SME Server panel. Now it displays a list with all groups that allows custom group batch files to be edited/created for all groups not only the ones associated with i-bays.
- Added a new lexicon to the en_us file

* Wed Nov 4 2009 Christian Costa <christian@tw.co.nz> 1.3-9
- Fixed a security problem that would allow the creation of arbitrary files on the system.

* Thu Oct 29 2009 Christian Costa <christian@tw.co.nz> 1.3-8
- Added additional pam_mount options to the .pam_mount.xml generation routine
- Changed the user's home dir mount point name from home to win_home

* Tue Oct 27 2009 SME Translation Server <translations@contribs.org> 1.3-7.sme
- apply locale 2009-10-27 patch

* Wed Oct 21 2009 SME Translation Server <translations@contribs.org> 1.3-6.sme
- apply locale 2009-10-21 patch
- cleanup changelog to be more readable

* Tue Oct 20 2009 Christian Costa <christian@tw.co.nz> 1.3-5
- Added e-smith-devtools as a build requirement

* Tue Oct 20 2009 Christian Costa <christian@tw.co.nz> 1.3-04
- Removed a blank space from the source code for testing purposes
* Thu Oct 8 2009 Christian Costa <christian@tw.co.nz>
- Added localisation support
- Added server-manager embedded custom group batch file editing
- Fixed a bug with user custom scripts that were being executed more than once

* Thu Sep 3 2009 Christian Costa <christian@tw.co.nz>
- New specs file, new version number

* Mon Aug 10 2009 Christian Costa <christian@tw.co.nz>
- Branched out from the 61netlogonshare custom script and added a new db property for smb called LogonScript

* Wed Jul 8 2009 Christian Costa <christian@tw.co.nz>
- Added .pam_mount.conf.xml generation for Linux clients using libpam-mount.

* Tue Jul 29 2008 Christian Costa <christian@tw.co.nz>
  Wed Jul 29 2008 --> Wed Jul 23 2008 or Tue Jul 29 2008 or Wed Jul 30 2008 or ....
- Added a feature that maps the drive if all users are allowed to read an I-bay.
- Extended the drive letter range from F to Z.

* Wed Jul 9 2008 Christian Costa <christian@tw.co.nz>
- Added the server-manager web interface to the package.
